package com.yythird.base;

import android.app.Application;
import android.content.Context;
import android.content.res.Configuration;


import com.yyrh.sdk.impl.SdkNativeBoost;
import com.yyrh.utils.MMKVUtils;
import com.yyrh.utils.YYLog;


public class BaseApplication extends Application {

    @Override
    protected void attachBaseContext(Context base) {
        super.attachBaseContext(base);
        YYLog.initZap(this);
        SdkNativeBoost.getInstance().initSdkBoost(this);
    }

    @Override
    public void onCreate() {
        super.onCreate();
        MMKVUtils.getInstance().init(this);
    }

    @Override
    public void onTerminate() {
        super.onTerminate();
    }

    @Override
    public void onLowMemory() {
        super.onLowMemory();
    }

    @Override
    public void onConfigurationChanged(Configuration newConfig) {
        super.onConfigurationChanged(newConfig);
    }
}
